summaryrefslogtreecommitdiffstats
path: root/libjava
diff options
context:
space:
mode:
authorebotcazou <ebotcazou@138bc75d-0d04-0410-961f-82ee72b054a4>2006-12-04 11:10:38 +0000
committerebotcazou <ebotcazou@138bc75d-0d04-0410-961f-82ee72b054a4>2006-12-04 11:10:38 +0000
commit72a430e4dd7cfa5d104dfc1eb9f76c988bd83b0e (patch)
tree38c687216b40ee374097b4fbb790fb3131adfdc3 /libjava
parent497f2858ac9b8d97b197b4657b4145ae0c7534a8 (diff)
downloadppe42-gcc-72a430e4dd7cfa5d104dfc1eb9f76c988bd83b0e.tar.gz
ppe42-gcc-72a430e4dd7cfa5d104dfc1eb9f76c988bd83b0e.zip
config/
* tls.m4 (GCC_CHECK_TLS): Do not test TLS with static linking if static linking doesn't even work. libgomp/ * configure: Regenerate. libmudflap/ * configure: Regenerate. libjava/ * configure: Regenerate. libstdc++-v3/ * configure: Regenerate. git-svn-id: svn+ssh://gcc.gnu.org/svn/gcc/trunk@119487 138bc75d-0d04-0410-961f-82ee72b054a4
Diffstat (limited to 'libjava')
-rw-r--r--libjava/ChangeLog4
-rwxr-xr-xlibjava/configure42
2 files changed, 44 insertions, 2 deletions
diff --git a/libjava/ChangeLog b/libjava/ChangeLog
index fd1d4ebb2e0..7467727b67c 100644
--- a/libjava/ChangeLog
+++ b/libjava/ChangeLog
@@ -1,3 +1,7 @@
+2006-12-04 Eric Botcazou <ebotcazou@libertysurf.fr>
+
+ * configure: Regenerate.
+
2006-11-27 Mike Stump <mrs@apple.com>
* sysdep/x86-64/locks.h: Enable use of either file on either
diff --git a/libjava/configure b/libjava/configure
index 15f499122aa..4ee87df76f8 100755
--- a/libjava/configure
+++ b/libjava/configure
@@ -16604,9 +16604,39 @@ if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
ac_status=$?
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
- save_LDFLAGS="$LDFLAGS"
+ save_LDFLAGS="$LDFLAGS"
LDFLAGS="-static $LDFLAGS"
- if test "$cross_compiling" = yes; then
+ if test x$gcc_no_link = xyes; then
+ { { echo "$as_me:$LINENO: error: Link tests are not allowed after GCC_NO_EXECUTABLES." >&5
+echo "$as_me: error: Link tests are not allowed after GCC_NO_EXECUTABLES." >&2;}
+ { (exit 1); exit 1; }; }
+fi
+cat >conftest.$ac_ext <<_ACEOF
+int main() { return 0; }
+_ACEOF
+rm -f conftest.$ac_objext conftest$ac_exeext
+if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
+ (eval $ac_link) 2>conftest.er1
+ ac_status=$?
+ grep -v '^ *+' conftest.er1 >conftest.err
+ rm -f conftest.er1
+ cat conftest.err >&5
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); } &&
+ { ac_try='test -z "$ac_c_werror_flag"
+ || test ! -s conftest.err'
+ { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+ (eval $ac_try) 2>&5
+ ac_status=$?
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); }; } &&
+ { ac_try='test -s conftest$ac_exeext'
+ { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+ (eval $ac_try) 2>&5
+ ac_status=$?
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); }; }; then
+ if test "$cross_compiling" = yes; then
{ { echo "$as_me:$LINENO: error: cannot run test program while cross compiling
See \`config.log' for more details." >&5
echo "$as_me: error: cannot run test program while cross compiling
@@ -16638,6 +16668,14 @@ have_tls=no
fi
rm -f core *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
fi
+else
+ echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+have_tls=yes
+fi
+rm -f conftest.err conftest.$ac_objext \
+ conftest$ac_exeext conftest.$ac_ext
LDFLAGS="$save_LDFLAGS"
else
echo "$as_me: program exited with status $ac_status" >&5
OpenPOWER on IntegriCloud